Cloud DNS API, REST: DnsInboundEndpoint.Get
Returns the specified DNS inbound endpoint.
To get the list of all available DNS inbound endpoints, make a List request.
HTTP request
GET https://dns.api.cloud.yandex.net/dns/v1/inboundEndpoints/{dnsInboundEndpointId}
Path parameters
|
Field |
Description |
|
dnsInboundEndpointId |
string Required field. ID of the DNS inbound endpoint to return. The maximum string length in characters is 50. |
Response
HTTP Code: 200 - OK
{
"id": "string",
"folderId": "string",
"createdAt": "string",
"name": "string",
"description": "string",
"labels": "object",
"networkId": "string",
"address": "string",
"addressId": "string",
"status": "string",
"deletionProtection": "boolean"
}
|
Field |
Description |
|
id |
string ID of the DNS inbound endpoint. Generated at creation time. |
|
folderId |
string ID of the folder that the DNS inbound endpoint belongs to. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
name |
string Name of the DNS inbound endpoint. |
|
description |
string Description of the DNS inbound endpoint. |
|
labels |
object (map<string, string>) DNS inbound endpoint labels as |
|
networkId |
string ID of the network that the DNS inbound endpoint belongs to. |
|
address |
string IP address of the DNS inbound endpoint. |
|
addressId |
string ID of the address resource. |
|
status |
enum (Status) Status of the DNS inbound endpoint.
|
|
deletionProtection |
boolean Prevents accidental endpoint removal. |